<?php

echo "<tr><th class='vis' colspan='3'>$lvm_check_archive</th></tr>\n";

$rname = Array('vpm', 'topVis', 'topNavOS', 'topOS', 'topNav', 'vph', 'topRef', 'topDom', 'vpj');

$query  = "SELECT vpm, topVis, topNavOS, topOS, topNav, vph, topRef, topDom, vpj FROM $lvc_table_archives WHERE annee='$year' AND mois='".(int)$month."'";
$rs = $xoopsDB->query($query);

if ( $rs && $xoopsDB->getRowsNum($rs) != 0 ) {
	while ( $record = $xoopsDB->fetchArray($rs) ) {
        for ( $cnt = 0; $cnt < sizeof($rname); $cnt++ ) {
            echo "<tr><td class='visref' colspan='2' align='center'>&nbsp;<b>".$rname[$cnt]."</b>&nbsp;</td><td class='vis' align='left'>&nbsp;".str_replace('+', ' + ', htmlspecialchars($record[$rname[$cnt]]))."&nbsp;</td></tr>\n";
        }
    }
} else {
    echo "<tr><td class='visref' colspan='3' align='center'><br /><a class='error'>&nbsp;&nbsp;&gt;&gt; ".$lvm_no_archive." &lt;&lt;&nbsp;&nbsp;</a><br /><br /></td></tr>\n";
}

?>